slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNGetOptionsPrefix

Gets the prefix used for searching for all FN options in the database.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNGetOptionsPrefix(FN fn,const char *prefix[])

Not Collective

### Input Parameters

| fn | - the math function context

### Output Parameters

| prefix | - pointer to the prefix string used is returned

### Note

On the Fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### See Also

FNSetOptionsPrefix(), FNAppendOptionsPrefix()

### Level

advanced

### Location

src/sys/classes/fn/interface/fnbasic.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages